using System;
using NeonScripting;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Linq;


public class Script

{

    public bool Run(INeonScriptHost host)

    {

        var oldPictureFolder = host.RemoteCalls.InputDialog("E:\Helium13\pics\");

        var newPictureFolder = host.RemoteCalls.InputDialog("C:\Helium14\pics\");

        

        if(string.IsNullOrEmpty(oldPictureFolder) || string.IsNullOrEmpty(newPictureFolder))

        {

            return false;

        }

        

        var albums = host.Database.Albums.ToList();

        var idx = 1;

        foreach (var album in albums)

        {

            host.UpdateProgress($"Updating album picture path for album {idx} of {albums.Count()}");


            if(album.AlbumPicturePath.StartsWith(oldPictureFolder)) 

            {

                var newAlbumPicturePath = album.AlbumPicturePath.Replace(oldPictureFolder, newPictureFolder);

                host.Database.UpdateAlbumPicture(album, newAlbumPicturePath);

            }

            idx++;

        }


        return true;

    }

}


